Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623109 - SELinux is preventing /usr/bin/kdm "setattr" access on tasks.
SELinux is preventing /usr/bin/kdm "setattr" access on tasks.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
14
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:25d523903b3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 07:14 EDT by Sandro Mathys
Modified: 2010-08-23 21:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.8.8-14.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 21:50:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2010-08-11 07:14:28 EDT
Summary:

SELinux is preventing /usr/bin/kdm "setattr" access on tasks.

Detailed Description:

SELinux denied access requested by kdm. It is not expected that this access is
required by kdm and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:cgroup_t:s0
Target Objects                tasks [ file ]
Source                        kdm
Source Path                   /usr/bin/kdm
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           kdm-4.5.0-1.fc14
Target RPM Packages           
Policy RPM                    selinux-policy-3.8.8-10.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35-3.fc14.x86_64 #1 SMP
                              Fri Aug 6 19:41:28 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Wed 11 Aug 2010 03:11:50 PM CEST
Last Seen                     Wed 11 Aug 2010 03:11:50 PM CEST
Local ID                      571ab180-c56b-44e4-ab03-0254be88d526
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1281532310.695:143): avc:  denied  { setattr } for  pid=1752 comm="kdm" name="tasks" dev=cgroup ino=18820 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:cgroup_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1281532310.695:143): arch=c000003e syscall=90 success=no exit=-13 a0=201b670 a1=1ed a2=1f4 a3=2f7472656c615f64 items=0 ppid=1733 pid=1752 auid=500 uid=0 gid=500 euid=0 suid=0 fsuid=0 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="kdm" exe="/usr/bin/kdm" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,kdm,xdm_t,cgroup_t,file,setattr
audit2allow suggests:

#============= xdm_t ==============
allow xdm_t cgroup_t:file setattr;
Comment 1 Daniel Walsh 2010-08-11 08:04:34 EDT
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.8.8-12.fc14
Comment 2 Fedora Update System 2010-08-13 16:29:39 EDT
selinux-policy-3.8.8-14.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-14.fc14
Comment 3 Fedora Update System 2010-08-23 21:49:11 EDT
selinux-policy-3.8.8-14.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.